using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ForExam
{
    /// <summary>
    /// Класс Program
    /// Находит ответ для задачи
    /// предоставленной на экзамене
    /// </summary>
    class Program
    {
        /// <summary>
        /// Метод CatchingUpSpeed
        /// находит время, за которое
        /// полицейские догонят нарушителя
        /// </summary>
        /// <param name="s">Расстояне между машинами</param>
        /// <param name="u1">Скорость полицейских</param>
        /// <param name="u2">Скорость преступников</param>
        /// <returns>Возвращает время, за которое преступника догонят</returns>
        static int CatchingUpSpeed(int s, int u1, int u2)
        {
            int time = s / (u1 - u2);
            return time;
        }
        /// <summary>
        /// Метод Main
        /// главный метод,
        /// здесь вводятся переменые
        /// и он обращается к методу CatchingUpSpeed,
        /// выводит ответ
        /// </summary>
        static void Main(string[] args)
        {
            int S = Convert.ToInt32(Console.ReadLine());
            int U1 = Convert.ToInt32(Console.ReadLine());
            int U2 = Convert.ToInt32(Console.ReadLine());
            int time = CatchingUpSpeed(S, U1, U2);
            Console.WriteLine(time);
            Console.ReadKey();
        }
    }
}
